Page MenuHomePhabricator

Dashiki needs to have a friendlier mobile view.
Closed, ResolvedPublic

Description

Dashiki is the platform we are using to display data for Vital Signs Editor Data. See:
https://metrics.wmflabs.org/static/public/dash/

While UI displays nicely on desktop we would benefit from a better display in mobile devices. All work on this regard would need to happen on the CSS/HTML layer.


Version: unspecified
Severity: normal
Whiteboard: gci2014 https://www.mediawiki.org/wiki/Google_Code-in_2014

Details

Reference
bz73030
Related Gerrit Patches:
analytics/dashiki : masterMake Dashiki responsive

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:50 AM
bzimport added a project: Analytics-Dashiki.
bzimport set Reference to bz73030.
bzimport added a subscriber: Unknown Object (MLST).
Nuria created this task.Nov 5 2014, 4:14 PM
Nuria added a comment.Nov 5 2014, 4:25 PM

In mobile we should just be showing the graph plus buttons to move accrooss metrics, the project selector should be hidden as at this time project selection requires larger real state than the one available on a mobile screen.

Change 177487 had a related patch set uploaded (by Unicodesnowman):
Make Dashiki responsive

https://gerrit.wikimedia.org/r/177487

Patch-For-Review

Unicodesnowman set Security to None.

Screenshots:

Desktop before & after https://i.imgur.com/Wu0k9Qe.png (overflow fixed)
Nexus 5 Portrait http://i.imgur.com/c0MxIJk.png
Nexus 5 Landscape http://i.imgur.com/GNWCu3V.png

The graph is pannable on mobile.

(Sorry, I'm unable to upload the images onto Phabricator with Chromium. I can't drag and drop files, there should be a normal upload dialog..)

(Sorry, I'm unable to upload the images onto Phabricator with Chromium. I can't drag and drop files, there should be a normal upload dialog..)

No worries. The screenshots look great regardless :-)
If you cannot use drap'n'drop, you can use the upload page at https://phabricator.wikimedia.org/file/upload/
And then include the picture here.
(See T165)

But I guess there is no need to. Having images is great already!

Nuria added a comment.Dec 4 2014, 3:27 PM

Thanks for taking this work! Will take a look at the code within the day today.

Will take a look at the code within the day today.

Hi Nuria, once you've had time to review Unicodesnowman's patch in Gerrit, could I ask you to please set either "Mark task as closed" or "Needs more work" in the corresponding task in Melange? (And needless to say, more GCI tasks are very welcome!) Thank you a lot in advance! :)

Nuria added a comment.Dec 9 2014, 12:02 AM

Since the only thing visible in mobile is going to be -pretty much - the graph itself it should adapt to viewport sizes of different mobile devices. Please see attached screenshots to see how the graph is not rendered inside the viewport for most resolutions.

I've uploaded a new patch which will make the graph fill the viewport. It doesn't look too good in portrait -- the axis labels overlap, and the fidelity is too low. I think it looks good in landscape though.

I can't figure out how to shorten the axis labels, but even if that's resolved I think there's not enough horizontal space to work with on portrait. Do you think it would be good to have overflow:auto and panning for portrait, and this for landscape?

Change 177487 merged by Milimetric:
Make Dashiki responsive

https://gerrit.wikimedia.org/r/177487

kevinator triaged this task as Medium priority.Dec 9 2014, 11:20 PM
Nuria closed this task as Resolved.Dec 9 2014, 11:26 PM